%define req_gail_version 1.0
%define pkgname libgtkhtml
%define lib_major 0

Summary: GtkHTML 2
Name: %{pkgname}2
Version: 2.2.0
Release: 2mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (fc) 2.2.0-2mdk fix crash when using not standard theme (Mdk bug #712)
Patch0: libgtkhtml2-2.2.0-stylecrash.patch.bz2

License: LGPL
Url: http://www.gnome.org/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgail-devel >= %{req_gail_version}
BuildRequires: libgnome-vfs2_0-devel

%description
GtkHTML 2

%package -n %{name}_%{lib_major}
Summary:	%{summary}
Group:		%{group}

%description -n %{name}_%{lib_major}
GtkHTML 2

%package -n %{name}_%{lib_major}-devel
Summary:	Static libraries, include files for GtkHTML2
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{name}_%{lib_major} = %{version}
Requires: libgail-devel
Requires: libgnome-vfs2_0-devel

%description -n %{name}_%{lib_major}-devel
GtkHTML2

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .stylecrash

%build

%configure2_5x

#parallel compilation is broken
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{name}_%{lib_major}

%postun -p /sbin/ldconfig -n %{name}_%{lib_major}

%files -n %{name}_%{lib_major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{name}_%{lib_major}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Wed Feb 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-2mdk
- Patch0 (CVS) : fix crash when not using default style (Mdk bug #712)

* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Mon Jan  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.8-1mdk
- Release 2.1.8

* Tue Dec 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.7-1mdk
- Release 2.1.7

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.6-1mdk
- Release 2.1.6
- Remove patch0 (merged upstream)

* Wed Dec 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5
- Patch0 : fix crash when clicking on a link

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Mon Nov 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Fri Oct 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Tue Jul 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk
- Recompiled against gail 0.17

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Recompiled against gail 0.16

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.9-1mdk
- Release 1.99.9

* Mon May  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.7-1mdk
- Release 1.99.7

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.6-1mdk
- Release 1.99.6

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.5-1mdk
- Release 1.99.5

* Tue Apr  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.4-1mdk
- Initial Mdk package

